Subject: [PATCH] ARM: OMAP4: change the device names in usb_bind_phy

From: [email-masked] (Tony Lindgren)
Date: Thu, 16 May 2013 09:20:35 -0700

* Tomi Valkeinen <[email-masked]> [130516 09:11]:
> On 16/05/13 18:58, Tony Lindgren wrote:
> > * Tomi Valkeinen <[email-masked]> [130515 03:59]:
> > 
> > Just checking.. Do you have CONFIG_OMAP_OCP2SCP=y in your .config? Sounds
> > like the some transceivers should depend on that for omap4.
> 
> Yes, I have OCP2SCP=y.

Hmm well no idea beyond that then. Sounds like Kishon should check it.
 
> >> The musb-hdrc id is wrong on overo also.
> > 
> > Hmm has there been a fix posted for that?
> 
> I couldn't find with a quick look. We debugged and discussed this on an irc
> channel with Kishon, who said he'll send a patch. Changing the musb-hdrc ID
> on overo fixed the issue, and it looks very similar to the error on 4430sdp.
> The overo fix was just:
> 
> diff --git a/arch/arm/mach-omap2/board-overo.c b/arch/arm/mach-omap2/board-overo.c
> index 4ca6b68..a496774 100644
> --- a/arch/arm/mach-omap2/board-overo.c
> +++ b/arch/arm/mach-omap2/board-overo.c
> @@ -472,7 +472,7 @@ static void __init overo_init(void)
>                                   mt46h32m32lf6_sdrc_params);
>         board_nand_init(overo_nand_partitions,
>                         ARRAY_SIZE(overo_nand_partitions), NAND_CS, 0, NULL);
> -       usb_bind_phy("musb-hdrc.0.auto", 0, "twl4030_usb");
> +       usb_bind_phy("musb-hdrc.1.auto", 0, "twl4030_usb");
>         usb_musb_init(NULL);
>  
>         usbhs_init_phys(phy_data, ARRAY_SIZE(phy_data));
> 
> 
> Is that ID "randomly" chosen? Doesn't that mean that it'll just get broken
> every now and then?

Yes if so it's not a good solution. For omap4 we'll be flipping over to
be device tree only for v3.11, but that still leaves earlier omaps to
worry about.

I'll wait for a proper patch for the above for the -rc series after we
hear from Kishon.

Regards,

Tony